package com.example.bookingapp_austinblanke;


import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.content.Intent;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.view.View;
import android.widget.CheckBox;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;



public class MainActivity extends AppCompatActivity {

    adapter adapterObj;
    ArrayList<String> performanceList;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        CheckBox flash=(CheckBox)findViewById(R.id.Flash);
        CheckBox wheelChair=(CheckBox)findViewById(R.id.Wheelchair);
        CheckBox stairs=(CheckBox)findViewById(R.id.Stairs);

        String filter = null;

        DatabaseConnector connector = new DatabaseConnector(this, null);

        performanceList = new ArrayList<>();
        performanceList = connector.performanceTitles(filter);


        RecyclerView recyclerObj = findViewById(R.id.performances);
        recyclerObj.setLayoutManager(new LinearLayoutManager(this));
        adapterObj = new adapter(this, performanceList);
        recyclerObj.setAdapter(adapterObj);



    }

    public void filter(View v)
    {
        Boolean filter1 = false;
        Boolean filter2 = false;
        Boolean filter3 = false;

        if(flash.isChecked()) {filter1 = true;}
        else {filter1 = false;}
        if(wheelchair.isChecked()) {filter2 = true;}
        else {filter2 = false;}
        if(stairs.isChecked()) {filter3 = true;}
        else {filter3 = false;}

        Toast.makeText(this, msg + "are selected",
                Toast.LENGTH_LONG).show();
    }
}